// This work is published under the GNU Public License (GPL)
// see file COPYING for details.

package org.gnugk;

/**
 * Utility functions to deal with H.323 entities as delivered by GnuGk.
 *
 * @author Jan Willamowius <jan@willamowius.de>
 * @version 1.1
 */

public final class H323Utils {

    /**
     * Remove the type from the alias string.
     * @param _alias    alias with type from GnuGk
     * @return          alias name without type
     */
    public static String extractAliasName(String _alias) {
        String aliasName = _alias;
        int pos = _alias.indexOf(":");
        try {
            if (pos > 0)
                aliasName = _alias.substring(0, pos);
        }
        finally {
            return aliasName;
        }
    }


}
